Package: javax.swing.table

## [Java] Class DefaultTableModel

- javax.swing.table.DefaultTableModel

-     public class DefaultTableModel
      extends Object

  GDK enhancements for DefaultTableModel.

  displayName:
    DefaultTableModel
  receiverFqcn:
    javax.swing.table.DefaultTableModel

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Iterator<?>` | `iterator()` Returns an Iterator which traverses the DefaultTableModel one item at a time.
    `` | `public DefaultTableModel` | `leftShift(Object row)` Overloads the left shift operator to provide an easy way to add rows to a DefaultTableModel.
    `` | `public void` | `putAt(int index, Object row)` Allow DefaultTableModel to work with subscript operators.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Iterator<?> iterator()

      Returns an Iterator which traverses the DefaultTableModel one item at a time.

      Returns:
        an Iterator for a DefaultTableModel
      Since:
        1.6.4

    - #### public DefaultTableModel leftShift(Object row)

      Overloads the left shift operator to provide an easy way to add rows to a DefaultTableModel.

      if row.size < model.size -> row will be padded with nulls
      if row.size > model.size -> additional columns will be discarded

      Parameters:
        `row` - a row to be added to the model.
      Returns:
        same model, after the value was added to it.
      Since:
        1.6.4

    - #### public void putAt(int index, Object row)

      Allow DefaultTableModel to work with subscript operators.

      WARNING: this operation does not replace the item at the specified index, rather it inserts the item at that index, thus increasing the size of the model by 1.

      if row.size < model.size -> row will be padded with nulls
      if row.size > model.size -> additional columns will be discarded

      Parameters:
        `index` - an index
        `row` - the row to insert at the given index
      Since:
        1.6.4